FreeMat

- Main Page
- Related Pages

vtkOutlineFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkOutlineFilter is a filter that generates a wireframe outline of any data set. The outline consists of the twelve edges of the dataset bounding box.

To create an instance of class vtkOutlineFilter, simply invoke its constructor as follows

      obj = vtkOutlineFilter

# Methods

The class vtkOutlineFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOutlineFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOutlineFilter = obj.NewInstance ()`
- `vtkOutlineFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetGenerateFaces (int )` - Generate solid faces for the box. This is off by default.
- `obj.GenerateFacesOn ()` - Generate solid faces for the box. This is off by default.
- `obj.GenerateFacesOff ()` - Generate solid faces for the box. This is off by default.
- `int = obj.GetGenerateFaces ()` - Generate solid faces for the box. This is off by default.